# Class SendMessageData

java.lang.Object
org.apache.catalina.ha.tcp.SendMessageData

public class SendMessageData extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendMessageData(Object message, Member destination, Exception exception)`
  Data about a message send operation.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Member`
  `getDestination()`
  `Exception`
  `getException()`
  `Object`
  `getMessage()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SendMessageData

    public SendMessageData(Object message, Member destination, Exception exception)
    Data about a message send operation.
    Parameters:
      `message` - The message to send
      `destination` - Member destination
      `exception` - Associated error

- ## Method Details

  - ### getDestination

    public Member getDestination()
    Returns:
      the destination.

  - ### getException

    public Exception getException()
    Returns:
      the exception.

  - ### getMessage

    public Object getMessage()
    Returns:
      the message.